a () 2 0
a (a) -2 1 0
~a () -1 1 0
~~a (a) -1 1 0

(+ (* (+ a ~b) (+ a c)) ~b)
(a)
1 -3 2 0

(+(*(+~ab)~(+a~c))(+d)) 
(c d)  
2 -1 1 0

(* (+ (* (+ (* (+(+a))) (+b)) (+ (* c) d))))
(a b c d)
-1 1 0

(+ (* (+ a (*b)) (+ (*(+af)(+deg) c))) (*b))
(a b c d e f g)
-9 1 -2 1 1 0

(* a 
   ~(* ~(* ~a b c)
       ~(+ ~(* a b c)
           (+ a b c)
           (*a b))
       ~(* ~(+ ~(* ~a)))))
(a b)
1 -1 2 -1 1 0

(* a 
   ~(* ~(* ~a b c)
       ~(+ ~(* a b c)
           (+ a b c)
           (*a b))
       ~(* ~(+ ~(* ~a)))))
()
1 -1 2 -1 1 0

(* ~(+ a b  c  d  e  f  g  h  i  j)
    (+ a  b ~c  d  e  f  g  h  i  j)
   ~(+ a  b  c ~d ~e  f  g  h  i  j)
    (+ ~a  b  c  d  e ~f  g  h  i  j)
    (+ a  b  c  d  e  f ~g  h  i  j)
   ~(+ a  b  c  d  e  f  g ~h  i  ~j))
()
-1 1 0

(* ~(+ a b  c  d  e  f  g  h  i  j)
    (+ ~a  b  c  ~d  e  f  ~g  h  i  ~j)
   ~(+ a  b  c d  e  f  g  h  i  j)
    (+ a  ~b  c   d  ~e f  g  ~h  i  j)
   ~(+ a  b  c  d  e  f g  h  i  j)
    (+ a  b  ~c  d  e  ~f  g  h  ~i  j))
()
-303 1 -111 1 0

(* (+ ~a b c d e f g h i j)
   (+ b c d e f g h i j ~k)
   (+ c d e f g h i j ~k l)
   (+ d e f g h i j ~k l m)
   (+ e f g h i j ~k l m n)
   (+ f g h i j ~k l m n ~o)
   (+ g h i j ~k l m n ~o p))
(b c d e f g h i j l m n p)
1 -4999997 1 1 -4999999 1 1 0

(* (+ ~a b c d ~e f g h i j)
   (+ b c d ~e f g h i j ~k)
   (+ c d ~e f g h i j ~k l)
   (+ d ~e f g h i j ~k l m)
   (+ ~e f g h i j ~k l m n)
   (+ f g h i j ~k l m n o)
   (+ g h i j ~k l m n ~o p)
   (+ h i j ~k l m n ~o p q)
   (+ i j ~k l m n ~o p q r)
   (+ j ~k l m n ~o p q r ~s))
(b c d f g h i j l m n p q r)
-1 1 -777 1 0

(+abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abcdefghijklmnopqrstuvwxyz
  abc
)
(a b)
-39
2
0

(*
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
(+abcdefghijklmnopqrstuvwxyz)
)
(abcdefghijklmnopqrstuvwxyz)
-100
2
0